Notices


Reply
Thread Tools
Posts: 801 | Thanked: 2,852 times | Joined on Apr 2012
#11
That's a shame. Ok; could I launch it and then send it a dbus message to give it a destination?
 

The Following 5 Users Say Thank You to taixzo For This Useful Post:
otsaloma's Avatar
Posts: 141 | Thanked: 1,529 times | Joined on May 2011 @ Finland
#12
Originally Posted by taixzo View Post
That's a shame. Ok; could I launch it and then send it a dbus message to give it a destination?
No, there's no dbus interface. I'm not familiar with dbus, I have no idea if it makes sense to add one.
 

The Following 6 Users Say Thank You to otsaloma For This Useful Post:
Posts: 1,491 | Thanked: 7,139 times | Joined on Apr 2010 @ Czech Republic
#13
So I've looked how hard it is to use DBUS from Python as I did remember there have been some long needed improvements done from the Jolla side recently - and it turns out to be really easy!

I've even created a tutorial to make this useful functionality as available to developers as possible:
__________________
modRana: a flexible GPS navigation system
Mieru: a flexible manga and comic book reader
Universal Components - a solution for native looking yet component set independent QML appliactions (QtQuick Controls 2 & Silica supported as backends)
 

The Following 16 Users Say Thank You to MartinK For This Useful Post:
Posts: 139 | Thanked: 164 times | Joined on Apr 2012 @ Austria
#14
too bad i use a oneplus x with sfos 2.1.0.11 and pyotherside 1.4, but this needs pyotherside 1.5 :/
i managed to compile it, but i don't know how to tell the os to use this version

Last edited by smatkovi; 2018-03-20 at 14:51.
 

The Following 5 Users Say Thank You to smatkovi For This Useful Post:
Posts: 624 | Thanked: 3,231 times | Joined on Aug 2016 @ Estonia
#15
Originally Posted by smatkovi View Post
too bad i use a oneplus x with sfos 2.1.0.11 and pyotherside 1.4, but this needs pyotherside 1.5 :/
i managed to compile it, but i don't know how to tell the os to use this version
That may change in few days. I have build the update packages at OBS and we are testing OTA these days. If all goes well for others as for me , 2.1.3.7 will be out for onyx
 

The Following 7 Users Say Thank You to rinigus For This Useful Post:
Posts: 526 | Thanked: 976 times | Joined on Mar 2015
#16
I would have changed from Poor Maps to Pure Maps..

anyway once again thanks for the fantastic result.
 

The Following 3 Users Say Thank You to itdoesntmatt For This Useful Post:
otsaloma's Avatar
Posts: 141 | Thanked: 1,529 times | Joined on May 2011 @ Finland
#17
Originally Posted by smatkovi View Post
too bad i use a oneplus x with sfos 2.1.0.11 and pyotherside 1.4, but this needs pyotherside 1.5 :/
i managed to compile it, but i don't know how to tell the os to use this version
For what it's worth, you might get WhoGo Maps working by reverting a single commit. I dropped an old work-around, figured it wasn't needed anymore...

https://github.com/otsaloma/whogo-ma...38a3a68abd8f36
 

The Following 6 Users Say Thank You to otsaloma For This Useful Post:
otsaloma's Avatar
Posts: 141 | Thanked: 1,529 times | Joined on May 2011 @ Finland
#18
Originally Posted by otsaloma View Post
No, unfortunately sailfish-qml doesn't support argument passing.
It seems this was outdated information, so I'll likely add command line argument support at some point, and thus no dbus, despite a good guide.
 

The Following 7 Users Say Thank You to otsaloma For This Useful Post:
Posts: 139 | Thanked: 164 times | Joined on Apr 2012 @ Austria
#19
that would be really cool. but thanks to this i learnt how to package rpms^^ i tried to install my compiled version, but who-go doesn't start, interesting thing is, that the 1.4 rpm only contains 2 files out of the src folder, but if it gets an update it's nicer
 

The Following 4 Users Say Thank You to smatkovi For This Useful Post:
otsaloma's Avatar
Posts: 141 | Thanked: 1,529 times | Joined on May 2011 @ Finland
#20
Translations now at Transifex. I copied them from Poor Maps and assigned the "poor-maps team" there, so if you have translated Poor Maps, you should have access, otherwise click some appropriate button to join.
 

The Following 4 Users Say Thank You to otsaloma For This Useful Post:
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 04:29.